Cocoon API: Class AbstractInterpreter

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.interpreter
Class AbstractInterpreter

    java.lang.Object
      |
      +--org.apache.cocoon.framework.AbstractActor
            |
            +--org.apache.cocoon.interpreter.AbstractInterpreter

All Implemented Interfaces:
  Actor, Interpreter

Direct Known Subclasses:
  EcmaScriptInterpreter, JavaInterpreter

public abstract class AbstractInterpreter
extends AbstractActor
implements Interpreter

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:25 $
Author:
  Ricardo Rocha

Fields inherited from class org.apache.cocoon.framework.AbstractActor
`director`

Constructor Summary
`AbstractInterpreter()`

Method Summary
`Module` | `createModule(java.lang.String moduleName)`
`protected abstract Module` | `doCreateModule(java.lang.String moduleName)`
`java.util.Enumeration` | `getModules()`

Methods inherited from class org.apache.cocoon.framework.AbstractActor
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.framework.Actor
`init`

Constructor Detail

### AbstractInterpreter

    public AbstractInterpreter()

Method Detail

### getModules

    public java.util.Enumeration getModules()

  Specified by:
    `getModules` in interface `Interpreter`

### createModule

    public Module createModule(java.lang.String moduleName)
                        throws LanguageException

  Specified by:
    `createModule` in interface `Interpreter`

### doCreateModule

    protected abstract Module doCreateModule(java.lang.String moduleName)
                                      throws LanguageException

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.